Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class BehaviorAdapterTestCase

    java.lang.Object
      org.picocontainer.behaviors.BehaviorAdapterTestCase

    public class BehaviorAdapterTestCase

extends Object

Author:
  Mauro Talevi

Nested Class Summary
`static interface` | `BehaviorAdapterTestCase.ComponentAdapterThatCanManageLifecycle`
`static interface` | `BehaviorAdapterTestCase.ComponentAdapterThatSupportsStrategy`

Constructor Summary
`BehaviorAdapterTestCase()`

Method Summary
`void` | `testDecoratingComponentAdapterDelegatesLifecycleManagement()`
`void` | `testDecoratingComponentAdapterDelegatesToMonitorThatDoesNotSupportStrategy()`
`void` | `testDecoratingComponentAdapterDelegatesToMonitorThatDoesSupportStrategy()`
`void` | `testDecoratingComponentAdapterIgnoresLifecycleManagementIfDelegateDoesNotSupportIt()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BehaviorAdapterTestCase

    public BehaviorAdapterTestCase()

Method Detail

### testDecoratingComponentAdapterDelegatesToMonitorThatDoesSupportStrategy

    public void testDecoratingComponentAdapterDelegatesToMonitorThatDoesSupportStrategy()

### testDecoratingComponentAdapterDelegatesToMonitorThatDoesNotSupportStrategy

    public void testDecoratingComponentAdapterDelegatesToMonitorThatDoesNotSupportStrategy()

### testDecoratingComponentAdapterDelegatesLifecycleManagement

    public void testDecoratingComponentAdapterDelegatesLifecycleManagement()

### testDecoratingComponentAdapterIgnoresLifecycleManagementIfDelegateDoesNotSupportIt

    public void testDecoratingComponentAdapterIgnoresLifecycleManagementIfDelegateDoesNotSupportIt()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.